Bug 144988 - artsdsp neither works with 'play' nor 'skype'
artsdsp neither works with 'play' nor 'skype'
Product: Fedora
Classification: Fedora
Component: arts (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Depends On:
  Show dependency treegraph
Reported: 2005-01-13 09:49 EST by Mark Stier
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-08-19 04:31:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mark Stier 2005-01-13 09:49:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
'artsdsp -v -m skype' gives

aRts: hijacking /dev/dsp open...
*** glibc detected *** free(): invalid pointer: 0x088d6188 ***

when trying to establish a call using Skype

'artsdsp -v -m play test.wav' tells me that /dev/dsp is busy, which
is, of course, not too remarkable because artsd is running -- and it
should redirect output through artsd...

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Start KDE sound server artsd in full-duplex mode and using ALSA.
2. artsplay works fine.
3. artsdsp -v -n skype (or play) fails

Actual Results:  Fails to redirect output through artsd.

Expected Results:  Should redirect output through artsd.

Additional info:
Comment 1 Mark Stier 2005-02-04 21:22:43 EST
As of skype version, "artsdsp -m skype" finally works.

Note You need to log in before you can comment on or make changes to this bug.